#!/bin/bash
#This is necessary as the PPPD issues a TERM to the process group when it gets a TERM. 
#If we don't do this, then these scripts become part of java process group and 
#java too gets a TERM. so create a new session.
#read username and password from instream and export to shell so that it is not
#visible on ps command
read PPPUSER
read -r PASSWD
export PPPUSER
export PASSWD

os=`uname`
ISMAC=0
ISSOLARIS=0
if [ $os == "Darwin" ]; then
        ISMAC=1
fi
if [ $os == "SunOS" ]; then
        ISSOLARIS=1
fi
export ISMAC
export ISSOLARIS

if [ $ISMAC == 1 -o $ISSOLARIS == 1 ]; then
	/bin/bash $@
else
	setsid /bin/bash $@
fi	
